import time

"""
ACTIVITY 1:
Look at the fib() and time_fib() functions
time_fib returns the nth fibonacci number, but also prints how long the function call took
"""
def fib(n):
    """
    Return the nth fibonacci number
    
    Arguments:
        n (int): the fibonacci number to compute

    Returns:
        int: the nth fibonacci number
    """
    if n == 0 or n == 1:
        return n
    else:
        return fib(n - 1) + fib(n - 2)
    
def time_fib(n):
    """
    Return the nth fibonacci number and also prints how long the function call took
    
    Arguments:
        n (int): the fibonacci number to compute

    Returns:
        int: the nth fibonacci number
    """
    begin = time.process_time()
    number = fib(n)
    end = time.process_time()
    time_elapsed = end - begin # measured in units of seconds
    print("The function call fib(" + str(n) + ") took " + str(time_elapsed) + " seconds")
    return number

# sweet spot for demo ~37
num = int(input("Which fibonacci number would you like to compute? "))
print(f"The {num}th fibonacci number is {time_fib(num)}")

